const { hooks } = use('@adonisjs/ignitor')

hooks.after.providersBooted(() => {
    const Env = use('Env')
    const View = use('View')

    View.global('APP_URL', function () {
        return Env.get('APP_URL')
    })

    View.global('TO_LOCALE', function (d) {
        if(!d) return ''
        var d = new Date(d)
        return d.toLocaleDateString()
    })
})